Company logoTrust Center Documentation
API v1 ReferenceNda templatesIdVersions

Create a new NDA template version

Creates a new draft version from an existing version or from the current template state. The new version will be created with status "draft" and is_active…

POST
/api/v1/nda-templates/{id}/versions

Creates a new draft version from an existing version or from the current template state. The new version will be created with status "draft" and is_active set to false.

Authorization

bearerAuth
AuthorizationBearer <token>

API key generated in Admin Center Integrations

In: header

Path Parameters

id*string

Template ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/nda-templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "0d5340f6-8095-47e7-946b-5fad86710e96",  "key": "draft_1706189400000",  "name": "v3",  "status": "draft",  "is_active": false,  "date_created": "2024-01-25T12:30:00Z",  "date_updated": "2024-01-25T12:30:00Z"}

How is this guide?